(function($) {
    var ios = navigator.userAgent.match(/ipad|iphone/ig) != null;
    var swiper = null;
    if (ios) {
        $("#menuActive").on('change', function(e) {
            if ($(this).prop("checked")) {
                window.ontouchmove = function(e) {
                    e.preventDefault();
                }
            } else {
                window.ontouchmove = function(e) {
                    return true;
                }
            }
        });

        $("#menuToggleOff").on('click', function(e) {
            $("#menuActive").trigger("click");
        });

        swiper = new Swiper('#globalNaviAreaOuter', {
            scrollbar: '.swiper-scrollbar',
            direction: 'vertical',
            slidesPerView: 'auto',
            mousewheelControl: true,
            freeMode: true
        });

        $(window).on('orientationchange.bmenu load.bmenu resize', function(){
          setTimeout(function(){
            swiper.update();
          }, 100);
        });
    } else {
        var ___top = $(window).scrollTop();

        $("#menuActive").on('change', function(e) {
            ___top = $(window).scrollTop();

            if ($(this).prop("checked")) {
                $("#wrapper").data("top", ___top);
            } else {
                $("#wrapper").css({display: "", position: "", top: ""});
                $("html").removeClass('menuActive');
                $(window).scrollTop($("#wrapper").data("top"));
            }
        });

        document.getElementById('globalNaviAreaSection').addEventListener("transitionend", function(event) {
            if (event.propertyName != "transform") {
                return;
            }

            if ($("#menuActive").prop("checked")) {
                $("#wrapper").css({
                    position: "absolute",
                    top: -___top
                });
                $("html").addClass('menuActive');
                $("#menuToggleOff").on('click', function(e) {
                    $("#menuActive").trigger("click");
                });
            } else {
                $("#menuToggleOff").off('click');
            }
        }, false);
    }

    //テンプレート管理用。公開側では使わない
    var dummy = function() {
        var self = this;
        this.localHeight = {};

        j$("#globalNaviAreaSection .localMenuUl").css({display:"block"}).each(function(){
    		self.localHeight[j$(this).parent().attr("id")] = j$(this).height();
    		j$(this).css({display: "none"});
    	});
    }

    dummy.prototype = {
        showMenu: function(e, scroll){
            if(!$("#menuActive").prop("checked")) {
                $("#menuActive").trigger("click");
            }
        },
        hideMenu: function() {
            if($("#menuActive").prop("checked")) {
                $("#menuActive").trigger("click");
            }
        },
        //これは公開側でも使ってる
        toggleLocal: function(sidxcode) {
            var local = $(".localMenu"+sidxcode+":first");
            var li = $("#naviLi"+sidxcode);
            var sch = event.target.className;
            if(sch == "txtOuter localopener"){
                if(local.css("display")=="block"){//閉じる
                    li.removeClass("naviArrowOn").addClass("naviArrowOff");
                    var anim = $.Animation(local.get(0), {height: 0, opacity: 0}, {duration: 500});
                    anim.done(function(){
                        local.css({display: "none"});
                        if (ios) {
                            swiper.update();
                        }
                    });
                }else{//開く
                    li.removeClass("naviArrowOff").addClass("naviArrowOn");
                    var height = this.localHeight["naviLi"+sidxcode];
                    local.css({overflow: "hidden", height: 1, opacity: 0.2, display: "block"});
                    var anim = $.Animation(local.get(0), {height: height, opacity: 1}, {duration: 500});
                    anim.done(function(){
                        if (ios) {
                            swiper.update();
                        }
                    });
                }
            }
            $(".localMenu").not(local).css({display: "none"});
        }
    }
    window.bmenu  = new dummy();

    window.addEventListener('beforeunload', function(){
        $("#menuActive").prop("checked", false);
    });
})(jQuery)
